#include <stdio.h>

float celsiusFahrenheit (float temperatura);
float celsiusKelvin (float temperatura);
float fahrenheitCelsius (float temperatura);
float fahrenheitKelvin (float temperatura);
float kelvinCelsius (float temperatura);
float kelvinFahrenheit (float temperatura);

int main()
{
    int conversao;
    float temperatura;
    printf ("Escolha a temperatura:");
    printf ("\nDigite '1' para Celsius");
    printf ("\nDigite '2' para Fahrenheit");
    printf ("\nDigite '3' para Kelvin\n");
    scanf ("%d", &conversao);
    printf ("\nDigite a temperatura: ");
    scanf ("%f", &temperatura);

    switch (conversao)
    {
        case 1:
        {
            if (temperatura < -273)
            {
                printf ("Temperatura invalida");
            }
            else
            {
            printf ("temperatura em Fahrenheit: %.2f", celsiusFahrenheit (temperatura));
            printf ("\ntemperatura em Kelvin: %.2f", celsiusKelvin (temperatura));
            }
            break;
        }
        case 2:
        {
            if (temperatura < -459.67)
            {
                printf ("Temperatura invalida");
            }
            else
            {
            printf ("temperatura em Kelvin: %.2f", fahrenheitKelvin (temperatura));
            printf ("\ntemperatura em Celsius: %.2f", fahrenheitCelsius (temperatura));
            }
            break;
        }
        case 3:
        {
            if (temperatura < 0)
            {
                printf ("Temperatura invalida");
            }
            else
            {
            printf ("temperatura em Celsius: %.2f", kelvinCelsius (temperatura));
            printf ("\ntemperatura em Fahrenheit: %.2f", kelvinFahrenheit (temperatura));
            }
            break;
        }
        default:
        {
            printf ("Numero para conversao invalido");
        }
    }

    return 0;
}

float celsiusFahrenheit (float temperatura)
{
    return (temperatura * 1.8 + 32);
}

float celsiusKelvin (float temperatura)
{
    return (temperatura + 273);
}

float fahrenheitCelsius (float temperatura)
{
    return ((temperatura - 32) / 1.8);
}

float fahrenheitKelvin (float temperatura)
{
    return ((temperatura + 459.4) / 1.8);
}


float kelvinCelsius (float temperatura)
{
    return (temperatura - 273);
}

float kelvinFahrenheit (float temperatura)
{
    return ((temperatura * 1.8) - 459.4);
}
